Skip to content

Add the resources to a collection

Request

Beta
OAuth 2.0 scope:
  • okta.governance.collections.manage
Admin roles:
  • APP_ADMIN

Adds the resources to a collection

Path
collectionIdstringrequired

Unique identifier for the collection

Bodyapplication/json
Array [
resourceOrnstring, (okta-resource-orn)(collection-resource-orn)required

The ORN identifier for a collection resource (app, group, or push group).

See the supported-resources endpoint.

entitlementsArray of objects(entitlements-creatable)

Collection of entitlements and associated value identifiers

]
POST
/governance/api/v2/collections/{collectionId}/resources
curl -i -X POST \
  'https://okta-subdomain.pixtulate.com/governance/api/v2/collections/{collectionId}/resources' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "resourceOrn": "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:salesforce:0oafxqCAJWWGELFTYASJ",
      "entitlements": [
        {
          "id": "espo3v6xlwdtEX2il1d6",
          "values": [
            {
              "id": "ento3v6xmkviXCltm1d6"
            },
            {
              "id": "ento3v6xk6nOq7lm51d6"
            }
          ]
        },
        {
          "id": "esp4rg7fkom0c3AsX8g6",
          "values": [
            {
              "id": "ent4rg7fltWSgrlDT8g6"
            }
          ]
        }
      ]
    },
    {
      "resourceOrn": "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:workday:0oa4z5j8pzVrBCFYt0g7"
    },
    {
      "resourceOrn": "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:slack:0oaXYZ123ABC456DEF78"
    },
    {
      "resourceOrn": "orn:okta:directory:00o11edPwGqbUrsDm0g4:groups:00go3v6xlwdtEX2il1d6"
    },
    {
      "resourceOrn": "orn:okta:directory:00o11edPwGqbUrsDm0g4:groups:00g4rg7fkom0c3AsX8g6"
    }
  ]'

Responses

A successful add resources to collection list response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(collection-resource-full-v2)
metadataobject(list-metadata)

Metadata for the list response

Response
Response after adding various types of resources (apps, groups, push groups) to a collection
{ "data": [ {}, {}, {}, {}, {}, {} ], "_links": { "self": {} }, "metadata": { "count": 6 } }